#ifndef ALLOCDYNAMIQUEETAFFICHAGE_H
#define ALLOCDYNAMIQUEETAFFICHAGE_H

#include "general.h"

void fonctionMalloc(instance_t& instance);
void fonctionMalloc(solutionTSP_t& solutionTSP);
void fonctionMalloc(solutionVRP_t& solutionVRP);
void fonctionMalloc(contenantTableauSolutionsTSP_t& contenantTableauSolutionsTSP, int nbrSolutionsTSPprevu);
void fonctionMalloc(contenantTableauSolutionsVRP_t& contenantTableauSolutionsVRP, int nbrSolutionsVRPprevu);

void fonctionFree(instance_t& instance);
void fonctionFree(solutionTSP_t& solutionTSP);
void fonctionFree(solutionVRP_t& solutionVRP);
void fonctionFree(contenantTableauSolutionsTSP_t& contenantTableauSolutionsTSP, int nbrSolutionsTSPprevu);
void fonctionFree(contenantTableauSolutionsVRP_t& contenantTableauSolutionsVRP, int nbrSolutionsVRPprevu);

void copierSolutionTSP(solutionTSP_t& solutionTSPreceveuse, solutionTSP_t solutionTSPcopied);
void copierSolutionVRP(solutionVRP_t& solutionVRPreceveuse, solutionVRP_t solutionVRPcopied);
void copierContenantTableauSolutionTSP(contenantTableauSolutionsTSP_t& contenantTableauSolutionsTSPreceveuse, contenantTableauSolutionsTSP_t contenantTableauSolutionsTSPcopied);
void copierContenantTableauSolutionVRP(contenantTableauSolutionsVRP_t& contenantTableauSolutionsVRPtemp, contenantTableauSolutionsVRP_t contenantTableauSolutionsVRPdeAnael);


void afficherSommetsTSP(solutionTSP_t solutionTSP);
void afficherTourneesDeSolutionVRP(solutionVRP_t solutionVRP);
void afficherSolutionTSP(solutionTSP_t solutionTSP);
void afficherSolutionVRP(solutionVRP_t solutionVRP);
void afficherContenantTableauSolutionsTSP(contenantTableauSolutionsTSP_t contenantTableauSolutionsTSP);
void afficherContenantTableauSolutionsVRP(contenantTableauSolutionsVRP_t contenantTableauSolutionsVRP);


#endif